Subject: Re: Use of PROMPTING
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 12 Jun 2002 13:12:46 -0700
Newsgroups: gmane.os.cygwin

Replied to poster and to the list

Robert Mark Bram wrote:

> Here is what I am talking about:
>
> http://neptune.netcomp.monash.edu.au/cpe1004/temp/cygwinView.png
>
> Using properties I changed the screen background to white and the text 
> to black. It does it but everything else I type comes out with the old 
> colors! Have a look!

When you change the colors on a Windows window Windows (whew! Say that 3 
times quick! :-) will prompt you whether to apply these changes to the 
current window only or to all future windows. I assume you selected to 
all future windows. That's find and additional windows will display 
correctly. But the current window is in a messed up state. So then after 
making this change kill that window and start another. You should be 
fine after that.

Or try rxvt, an X term emulator. With it you can use all the old, 
familiar X style command line options, colors and/or (preferably IMHO) X 
resources in your ~/.Xdefaults file. For example, I currently use:

! Rxvt defaults

! Global
*font:                          "Lucida Console-*-15"
*saveLines:                     500
*termName:                      cygwin
*scrollBar_right:               True
*geometry:                      80x24
*loginShell:                    True

Rxvt.background:                AntiqueWhite
Rxvt.foreground:                Black
Rxvt.colorBD:                   Blue
Rxvt.colorUL:                   Red
Rxvt.cursorColor:               Blue

! Rxvt defaults for other-system
other-system.background:      Maroon
other-system.foreground:      White
other-system.colorBD:         Yellow
other-system.colorUL:         Red
other-system.cursorColor:     Yellow

Then a plain rxvt will come up with AntiqueWhite while an rxvt -name 
other-system will come up Maroon.

Of course, as was said, other utilites set colors in different ways such 
as vim and ls. Getting the color scheme of vim, ls, et. al. working with 
both a light AntiqueWhite and a darker Maroon is tricky!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/